#language: ru

@demo_base_milk
@init

Функционал: 001. init. Создание общей НСИ

Сценарий: 001.1. init. Заполнение единиц измерения

	Дано Я подключаюсь под "Администратор"
	И Я заполняю константы Единицы измерения

Сценарий: 001.2. init. Создание товарных категорий

	И Я создаю товарную категорию "Молоко"
	И Я создаю товарную категорию "Кефир"
	И Я создаю товарную категорию "Творог"

Сценарий: 001.3. init. Создание физических лиц

	И Я создаю физическое лицо "Орехов И.С."
	И Я создаю физическое лицо "Зуев Н.Д."
	И Я создаю физическое лицо "Гладких И.В."
	И Я создаю физическое лицо "Петров П.Г."
	И Я создаю физическое лицо "Иванов А.А."
	И Я создаю физическое лицо "Любимов П.С."
	И Я создаю физическое лицо "Сергеев Л.Н."
	И Я создаю физическое лицо "Алексеев И.Н."
	И Я создаю физическое лицо "Веселов М.К."
	И Я создаю физическое лицо "Комаров И.О."

Сценарий: 001.4. init. Создание пользователей - менеджеров

	И Я создаю пользователя с физическим лицом "Орехов И.С."
	И Я создаю пользователя с физическим лицом "Зуев Н.Д."
	И Я создаю пользователя с физическим лицом "Гладких И.В."
	И Я создаю пользователя с физическим лицом "Петров П.Г."
	И Я создаю пользователя с физическим лицом "Иванов А.А."
	И Я создаю пользователя с физическим лицом "Комаров И.О."

Сценарий: 001.6. init. Создание холдингов

	И Я создаю холдинг "Дом молока"
	И Я создаю холдинг "Х5"
	И Я создаю холдинг "Магнит"
	И Я создаю холдинг "ИП Смирнов"
	И Я создаю холдинг "Арендодатель"
	И Я создаю холдинг "Перекресток"
	И Я создаю холдинг "Лента"
	И Я создаю холдинг "Табрис"

Сценарий: 001.7. init. Создание каналов сбыта

	И Я создаю Канал сбыта "Х5"
	И Я создаю Канал сбыта "Магнит"
	И Я создаю Канал сбыта "ИП Смирнов"

Сценарий: 001.8. init. Групп партнеров для планирования

	И Я создаю Группы партнеров для планирования "Х5" с каналом сбыта "Х5" с менеджером "Петров П.Г."
	И Я создаю Группы партнеров для планирования "Магнит" с каналом сбыта "Магнит" с менеджером "Петров П.Г."
	И Я создаю Группы партнеров для планирования "ИП Смирнов" с каналом сбыта "ИП Смирнов" с менеджером "Иванов А.А."

Сценарий: 001.9. init. Создание контрагентов

	* Создание поставщика Нижегородское молоко
		И Я начинаю создавать контрагента "Нижегородское молоко"
		И я устанавливаю флаг 'Поставщик'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Дом молока'
		И Я заканчиваю создавать контрагента
	* Создание поставщика Арендодатель
		И Я начинаю создавать контрагента "Арендодатель"
		И я устанавливаю флаг 'Поставщик'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Арендодатель'
		И Я заканчиваю создавать контрагента
	* Создание контрагента Х5
		И Я начинаю создавать контрагента "Х5"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Федеральная сеть'
		И из выпадающего списка с именем "ГруппаПланирования" я выбираю по строке 'Х5'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Х5'
		И из выпадающего списка с именем "ОсновнойМенеджер" я выбираю по строке 'Орехов И.С.'
		И Я заканчиваю создавать контрагента
	* Создание контрагента Магнит
		И Я начинаю создавать контрагента "Магнит"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Федеральная сеть'
		И из выпадающего списка с именем "ГруппаПланирования" я выбираю по строке 'Магнит'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Магнит'
		И из выпадающего списка с именем "ОсновнойМенеджер" я выбираю по строке 'Зуев Н.Д.'
		И Я заканчиваю создавать контрагента
	* Создание контрагента ИП Смирнов
		И Я начинаю создавать контрагента "ИП Смирнов"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка с именем "ГруппаПланирования" я выбираю по строке 'ИП Смирнов'
		И из выпадающего списка "Холдинг" я выбираю по строке 'ИП Смирнов'
		И из выпадающего списка с именем "ОсновнойМенеджер" я выбираю по строке 'Гладких И.В.'
		И Я заканчиваю создавать контрагента
	* Создание контрагента Перекресток
		И Я начинаю создавать контрагента "Перекресток"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Перекресток'
		И Я заканчиваю создавать контрагента
	* Создание контрагента Лента
		И Я начинаю создавать контрагента "Лента"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Лента'
		И Я заканчиваю создавать контрагента
	* Создание контрагента Табрис
		И Я начинаю создавать контрагента "Табрис"
		И я устанавливаю флаг 'Покупатель'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка "Холдинг" я выбираю по строке 'Табрис'
		И Я заканчиваю создавать контрагента
	* Создание перевозчика АвтоМир
		И Я начинаю создавать контрагента "АвтоМир"
		И я устанавливаю флаг 'Поставщик'
		И я устанавливаю флаг 'Перевозчик'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Тип" я выбираю точное значение 'Локальная точка'
		И из выпадающего списка с именем "ОсновнойМенеджер" я выбираю по строке 'Администратор'
		И Я заканчиваю создавать контрагента

Сценарий: 001.10. init. Создание видов цен
	
	И Я создаю вид цен включающий НДС "Цены: Нижегородское молоко"
	И Я создаю вид цен включающий НДС "Цена отгрузки для Х5" 
	И Я создаю вид цен включающий НДС "Цена отгрузки для Магнита" 
	И Я создаю вид цен включающий НДС "Цена отгрузки для ИП Смирнов" 
	И Я создаю вид цен включающий НДС "Цена поставщика Арендодатель"
	И Я создаю вид цен включающий НДС "Цена отгрузки для Перекрестка"
	И Я создаю вид цен включающий НДС "Цена отгрузки для Ленты"
	И Я создаю вид цен включающий НДС "Цена отгрузки для Табрис"

Сценарий: 001.11. init. Создание точек доставки

	И Я создаю точку доставки "Пятерочка" для контрагента "Х5" с ответственным "Орехов И.С."  и складом "Склад готовой продукции"
	И Я создаю точку доставки "Магнит №1" для контрагента "Магнит" с ответственным "Зуев Н.Д." и складом "Склад готовой продукции"
	И Я создаю точку доставки "ИП Смирнов" для контрагента "ИП Смирнов" с ответственным "Гладких И.В." и складом "Склад готовой продукции"
	И Я создаю точку доставки "Перекресток" для контрагента "Перекресток" с ответственным "Комаров И.О." и складом "Склад готовой продукции"
	И Я создаю точку доставки "Табрис" для контрагента "Табрис" с ответственным "Комаров И.О." и складом "Склад готовой продукции"
	И Я создаю точку доставки "Лента" для контрагента "Лента" с ответственным "Комаров И.О." и складом "Склад готовой продукции"
	
Сценарий: 001.12. init. Создание видов номенклатуры

	* Вид номенклатуры Молоко
		И Я начинаю создавать Вид Номенклатуры "Молоко"
		И я устанавливаю флаг с именем 'ИспользоватьСерии'
		И я нажимаю кнопку выбора у поля с именем "ЕдиницаИзмерения"
		Тогда открылось окно 'Выберите единицу измерения'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'шт'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Вид номенклатуры (создание) *'
		И Я заканчиваю создавать Вид Номенклатуры
	* Вид номенклатуры Кефир
		И Я начинаю создавать Вид Номенклатуры "Кефир"
		И я устанавливаю флаг с именем 'ИспользоватьСерии'
		И я нажимаю кнопку выбора у поля с именем "ЕдиницаИзмерения"
		Тогда открылось окно 'Выберите единицу измерения'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'шт'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Вид номенклатуры (создание) *'
		И Я заканчиваю создавать Вид Номенклатуры
	* Вид номенклатуры Творог
		И Я начинаю создавать Вид Номенклатуры "Творог"
		И я устанавливаю флаг с именем 'ИспользоватьСерии'
		И я нажимаю кнопку выбора у поля с именем "ЕдиницаИзмерения"
		Тогда открылось окно 'Выберите единицу измерения'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'шт'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Вид номенклатуры (создание) *'
		И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 001.13. init. Создание производителей

	И Я создаю производителя "Нижегородское молоко"

Сценарий: 001.14. init. Создание номенклатуры

	* Номенклатура Молоко 3,2 %
		И Я начинаю создавать Номенклатуру "Молоко 3,2 %" с видом "Молоко" и типом "Готовая продукция"
		И в поле 'Артикул' я ввожу текст '999-0765'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Молочная продукция'
		И в поле 'Описание' я ввожу текст 'Молоко 3,2 %'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Производитель" я выбираю по строке 'Нижегородское молоко'
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Молоко'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру
	* Номенклатура Молоко 2,5 %
		И Я начинаю создавать Номенклатуру "Молоко 2,5 %" с видом "Молоко" и типом "Готовая продукция"
		И в поле 'Артикул' я ввожу текст '999-0775'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Молочная продукция'
		И в поле 'Описание' я ввожу текст 'Молоко 2,5 %'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Производитель" я выбираю по строке 'Нижегородское молоко'
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Молоко'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру
	* Номенклатура Кефир
		И Я начинаю создавать Номенклатуру "Кефир" с видом "Кефир" и типом "Готовая продукция"
		И в поле 'Артикул' я ввожу текст '999-0785'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Молочная продукция'
		И в поле 'Описание' я ввожу текст 'Кефир'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Производитель" я выбираю по строке 'Нижегородское молоко'
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Кефир'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру
	* Номенклатура Творог
		И Я начинаю создавать Номенклатуру "Творог" с видом "Творог" и типом "Готовая продукция"
		И в поле 'Артикул' я ввожу текст '999-0795'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Молочная продукция'
		И в поле 'Описание' я ввожу текст 'Творог'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Производитель" я выбираю по строке 'Нижегородское молоко'
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Творог'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру

Сценарий: 001.15. init. Создание типа транспортного средства
		
	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Типы транспортных средств'
	Тогда я жду открытия окна 'Типы транспортных средств' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Типы транспортных средств (создание)'
	И в поле 'Наименование' я ввожу текст 'Газель 2т'
	И в поле 'Вместимость' я ввожу текст '200,000'
	И я перехожу к следующему реквизиту
	И в поле 'Грузоподъемность' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Типы транспортных средств (создание) *' в течение 20 секунд
	Тогда открылось окно 'Типы транспортных средств'
	И Я закрываю окно 'Типы транспортных средств'

Сценарий: 001.16. init. Создание транспортных средств

	* Создание ТС для АвтоМир
		И В командном интерфейсе я выбираю 'Склад и доставка' 'Транспортные средства'
		Тогда открылось окно 'Транспортные средства'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Транспортные средства (создание)'
		И в поле с именем 'Код' я ввожу текст 'АК234У'
		И в поле с именем 'Марка' я ввожу текст 'Газель'
		И из выпадающего списка с именем "Тип" я выбираю по строке 'Газель 2т'
		И из выпадающего списка с именем "ОсновнойВодитель" я выбираю по строке 'Любимов П.С.'
		И я устанавливаю флаг с именем 'НаемноеТС'
		И из выпадающего списка с именем "ТранспортнаяКомпания" я выбираю по строке 'АвтоМир'
		И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
		И в таблице "СкладыОтгрузки" из выпадающего списка с именем "СкладыОтгрузкиСкладОтгрузки" я выбираю по строке 'Склад готовой продукции'
		И в таблице "СкладыОтгрузки" я завершаю редактирование строки
		И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
		И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
		Тогда открылось окно 'Транспортные средства'
		И Я закрываю окно 'Транспортные средства'
	* Создание собственного ТС
		И В командном интерфейсе я выбираю 'Склад и доставка' 'Транспортные средства'
		Тогда открылось окно 'Транспортные средства'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Транспортные средства (создание)'
		И в поле с именем 'Код' я ввожу текст 'АА777А'
		И в поле с именем 'Марка' я ввожу текст 'Газель'
		И из выпадающего списка с именем "Тип" я выбираю по строке 'Газель 2т'
		И из выпадающего списка с именем "ОсновнойВодитель" я выбираю по строке 'Сергеев Л.Н.'
		И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
		И в таблице "СкладыОтгрузки" из выпадающего списка с именем "СкладыОтгрузкиСкладОтгрузки" я выбираю по строке 'Склад готовой продукции'
		И в таблице "СкладыОтгрузки" я завершаю редактирование строки
		И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
		И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
		Тогда открылось окно 'Транспортные средства'
		И Я закрываю окно 'Транспортные средства'

Сценарий: 001.17. init. Создание подразделений

	И Я создаю подразделение "Закупки"
	И Я создаю подразделение "Склад"
	И Я создаю подразделение "Маркетинг"
	И Я создаю подразделение "Транспортная логистика"
	И Я создаю подразделение "Отдел продаж"
	И Я создаю подразделение "Бухгалтерия"